---
# Don't forget to keep this file updated
# molecule/<scenario>/verify.yml
- name: "Verify"
  hosts: "cicd-ubuntu-24"
  gather_facts: false
  tasks:

    - name: "Get Apache2 service current state"
      register: "install_apache__service_status"
      failed_when: "not install_apache__service_status.status.ActiveState == 'active'"
      ansible.builtin.systemd:
        name: "apache2"

    - name: "Check Apache2 HTTP connectivity"
      ansible.builtin.wait_for:
        host: "{{ inventory_hostname }}"
        port: "{{ inv__install_apache.http_port }}"
        timeout: 120

    - name: "Check Apache2 HTTPS connectivity"
      ansible.builtin.wait_for:
        host: "{{ inventory_hostname }}"
        port: "{{ inv__install_apache.https_port }}"
        timeout: 120

    - name: "Check the black-hole behavior"
      loop:
        - "http://{{ inventory_hostname }}/"
        - "https://{{ inventory_hostname }}/"
      loop_control:
        loop_var: "url"
      register: "blackhole_check"
      failed_when: "blackhole_check.status != 403"
      ansible.builtin.uri:
        url: "{{ url }}"
        timeout: 120
        validate_certs: true
        follow_redirects: true
